## amarok 2.6~beta1+75.g47e75df

=== CMakeLists.txt ===
project(Amarok)

cmake_minimum_required(VERSION 2.6.2)

set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

message(STATUS "${CMAKE_MODULE_PATH}")

option(WITH_UTILITIES "Enable building of utilities" ON)
option(WITH_PLAYER "Enable building of main Amarok player" ON)
option(WITH_MP3Tunes "Enable mp3tunes in the Amarok player, requires multiple extra dependencies" ON)
option(WITH_IPOD "Enable iPod support in Amarok" ON)
option(WITH_MYSQL_EMBEDDED "Build the embedded database library -- highly recommended" ON)
option(WITH_SPECTRUM_ANALYZER "Enable the spectrum analyzer context applet in Amarok" ON)
option(WITH_PLAYGROUND "Enable building of playground scripts and applets (WARNING: some of them might have legal issues!)" OFF)

include(CheckLibraryExists)
check_library_exists(dl dlopen "" LIBDL_FOUND)

# --------- taglib --------
# building without taglib is stupid, but it's possible

set(TAGLIB_MIN_VERSION "1.7")
find_package(Taglib)

if(TAGLIB_FOUND)
    # Check if TagLib is built with ASF and MP4 support
    include(CheckCXXSourceCompiles)
    set(CMAKE_REQUIRED_INCLUDES "${TAGLIB_INCLUDES}")
    set(CMAKE_REQUIRED_LIBRARIES "${TAGLIB_LIBRARIES}")

    check_cxx_source_compiles("#include <asftag.h>
    int main() { TagLib::ASF::Tag tag; return 0;}" TAGLIB_ASF_FOUND)
    if( NOT TAGLIB_ASF_FOUND )
        message(FATAL_ERROR "TagLib does not have ASF support compiled in.")
    endif( NOT TAGLIB_ASF_FOUND )

    check_cxx_source_compiles("#include <mp4tag.h>
    int main() { TagLib::MP4::Tag tag(0, 0); return 0;}" TAGLIB_MP4_FOUND)
    if( NOT TAGLIB_MP4_FOUND )
        message(FATAL_ERROR "TagLib does not have MP4 support compiled in.")
    endif( NOT TAGLIB_MP4_FOUND )

    set(CMAKE_REQUIRED_INCLUDES)
    set(CMAKE_REQUIRED_LIBRARIES)

    set(TAGLIB-EXTRAS_MIN_VERSION "1.0")
    find_package(Taglib-Extras)
    set(TAGLIB_EXTRAS_FOUND ${TAGLIB-EXTRAS_FOUND}) # we need a c-compatible name for the include file

    include(CheckTagLibFileName)

    check_taglib_filename(COMPLEX_TAGLIB_FILENAME)
else()
    message(WARNING "You are building Amarok without taglib. This has been known to cause many strange behaviours and is strongly advised against.")
endif()

# --------------------------

# Figure out problems inside KAboutData before re-enabling
#execute_process( COMMAND "git" "describe" WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} RESULT_VARIABLE GIT_OUTPUT_VALUE OUTPUT_VARIABLE CURRENT_GIT_VERSION )
#if(GIT_OUTPUT_VALUE EQUAL 0)
#    message(STATUS "Building git version ${CURRENT_GIT_VERSION}")
#endif(GIT_OUTPUT_VALUE EQUAL 0)


# Needed to conditionally build tests and gui
if(KDE4_BUILD_TESTS)
   add_definitions(-DDEBUG)
endif()

if(WITH_DESKTOP_UI)
    add_definitions(-DDESKTOP_UI)
endif()
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0")
if (CMAKE_COMPILER_IS_GNUCXX)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fmessage-length=0")
    if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed")
    endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
endif (CMAKE_COMPILER_IS_GNUCXX)

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/shared )

if( WITH_PLAYER )
    set(KDE_MIN_VERSION "4.6.0")
    find_package( KDE4 REQUIRED )
    include (KDE4Defaults)
    include (MacroLibrary)

    include(MacroBoolTo01)
    include(MacroLogFeature)

    macro_log_feature( KDE4_FOUND "kdelibs" "The toolkit Amarok uses to build" "http://www.kde.org" TRUE "4.6.0" "" )

    find_package( QtScriptQtBindings )
    macro_log_feature( QTSCRIPTQTBINDINGS_FOUND "qtscript-qt" "QtScript Qt Bindings" "http://code.google.com/p/qtscriptgenerator/" FALSE "" "" )

    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

    find_package(MySQLAmarok REQUIRED)
    if( WITH_MYSQL_EMBEDDED )
        set( BUILD_MYSQLE_COLLECTION TRUE )
        macro_log_feature( MYSQL_EMBEDDED_FOUND "mysqld" "Embedded MySQL Libraries" "http://www.mysql.com" TRUE "" "" )
    else( WITH_MYSQL_EMBEDDED )
        add_definitions( "-DNO_MYSQL_EMBEDDED" )
    endif( WITH_MYSQL_EMBEDDED )
    macro_log_feature( MYSQL_FOUND "mysql" "MySQL Server Libraries" "http://www.mysql.com" TRUE "" "" )

    # zlib is required for mysql embedded
    find_package(ZLIB REQUIRED)
    macro_log_feature( ZLIB_FOUND "zlib" "zlib" "" TRUE "" "" )

    # QCA2 is required for the Script Updater
    find_package(QCA2)
    macro_log_feature( QCA2_FOUND "qca2" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca/" FALSE "" "" )

    if( WITH_SPECTRUM_ANALYZER )
        # OpenGL is required for the spectrum analyzer
        macro_optional_find_package(OpenGL)
        macro_log_feature( OPENGL_FOUND "OpenGL" "Support for hardware acceleration (enables the Spectrum Analyzer)" "http://www.opengl.org/" FALSE "" "" )
    endif( WITH_SPECTRUM_ANALYZER )

    # QJson is required for the PlaydarCollection
    macro_optional_find_package(QJSON)
    macro_log_feature( QJSON_FOUND "QJson" "Qt JSON Parser used for the Playdar Collection" "http://qjson.sourceforge.net/" FALSE "" "" )

    # macro_optional_find_package(Strigi)
    # macro_log_feature( STRIGI_FOUND "strigi" "Index metadata of files" "http://strigi.sourceforge.net" FALSE "" "" )

    macro_optional_find_package(LibLastFm)
    macro_log_feature( LIBLASTFM_FOUND "liblastfm" "Enable Last.Fm service, including scrobbling, song submissions, and suggested song dynamic playlists" "http://cdn.last.fm/src/liblastfm-0.3.0.tar.bz2" FALSE "0.3" "" )
    macro_bool_to_01( LIBLASTFM_FOUND HAVE_LIBLASTFM )

    macro_optional_find_package( FFmpeg )
    macro_log_feature( FFMPEG_FOUND "ffmpeg" "Libraries and tools for handling multimedia data" "http://www.ffmpeg.org/" FALSE "0.6" "" )

    if( FFMPEG_FOUND )
        macro_optional_find_package(LibOFA)
        macro_log_feature( LIBOFA_FOUND "libofa" "Enable MusicDNS service" "http://code.google.com/p/musicip-libofa/" FALSE "0.9.x" "" )
        macro_bool_to_01( LIBOFA_FOUND HAVE_LIBOFA )
    endif( FFMPEG_FOUND )

    ##gpodder Service
    macro_optional_find_package( Mygpo-qt )
    macro_log_feature( LIBMYGPO_QT_FOUND "libmygpo-qt" "Enable gpodder.net service" "http://wiki.gpodder.org/wiki/Libmygpo-qt" FALSE "1.0.5" "" )
    macro_bool_to_01( LIBMYGPO_QT_FOUND HAVE_LIBMYGPOQT )

    if( WITH_IPOD )
        find_package(Ipod)
        SET(IPOD_MIN_VERSION "0.8.2")
        if( IPOD_FOUND AND NOT WIN32 )
            macro_ensure_version(${IPOD_MIN_VERSION} ${IPOD_VERSION} IPOD_FOUND)
        endif( IPOD_FOUND AND NOT WIN32 )
        macro_log_feature( IPOD_FOUND "libgpod" "Support Apple iPod/iPad/iPhone audio devices" "http://sourceforge.net/projects/gtkpod/" FALSE ${IPOD_MIN_VERSION} "" )
        macro_optional_find_package(GDKPixBuf)
        macro_log_feature( GDKPIXBUF_FOUND "GDK-PixBuf" "Support for artwork on iPod audio devices via GDK-PixBuf" "http://developer.gnome.org/arch/imaging/gdkpixbuf.html" FALSE "2.0.x" "" )
    endif( WITH_IPOD )

    macro_optional_find_package(Mtp)
    macro_log_feature( MTP_FOUND "libmtp" "Enable Support for portable media devices that use the media transfer protocol" "http://libmtp.sourceforge.net/" FALSE "1.0.0" "")

    if( WITH_MP3Tunes )
        find_package(CURL)
        macro_log_feature( CURL_FOUND "curl" "cURL provides the necessary network libraries required by mp3tunes." "http://curl.haxx.se" FALSE "" "" )

        find_package(LibXml2)
        macro_log_feature( LIBXML2_FOUND "libxml2" "LibXML2 is an XML parser required by mp3tunes." "http://www.xmlsoft.org" FALSE "" "" )

        macro_optional_find_package(OpenSSL)
        macro_optional_find_package(Libgcrypt)
        if ( OPENSSL_FOUND OR LIBGCRYPT_FOUND )
            set (_mp3tunes_crypto TRUE )
        else ( OPENSSL_FOUND OR LIBGCRYPT_FOUND )
            message( SEND_ERROR "Building with mp3tunes support REQUIRES either OpenSSL or GNU Libgcrypt" )
        endif ( OPENSSL_FOUND OR LIBGCRYPT_FOUND )
        macro_log_feature( _mp3tunes_crypto "openssl or libgcrypt" "OpenSSL or GNU Libgcrypt provides cryptographic functions required by mp3tunes." "http://www.openssl.org/ or http://www.gnupg.org/download/#libgcrypt" FALSE "" "" )

        find_package(Loudmouth)
        macro_log_feature( LOUDMOUTH_FOUND "loudmouth" "Loudmouth is the communication backend needed by mp3tunes for syncing." "http://www.loudmouth-project.org" FALSE "" "" )

        include(CheckQtGlib)
        macro_log_feature(QT4_GLIB_SUPPORT "Qt4 Glib support" "Qt4 must be compiled with glib support for mp3tunes" "http://www.trolltech.com" FALSE "" "")
    endif( WITH_MP3Tunes )

    if( WITH_IPOD OR WITH_MP3Tunes )
    find_package(GObject)
    macro_log_feature( GOBJECT_FOUND "gobject" "Required by libgpod and mp3tunes." "http://www.gtk.org" FALSE "2.x" "" )
    find_package(GLIB2)
    macro_log_feature( GLIB2_FOUND "glib2" "Required by libgpod and mp3tunes" "http://www.gtk.org" FALSE "2.x" "")
    endif( WITH_IPOD OR WITH_MP3Tunes )

    #These two are currently unused
    #macro_optional_find_package(Soprano)
    #macro_log_feature( Soprano_FOUND "soprano" "Soprano is a RDF framework required by Nepomuk Collection" "http://soprano.sourceforge.net" FALSE "2.1.0" "")
    #macro_optional_find_package(Nepomuk)
    #macro_log_feature( NEPOMUK_FOUND "nepomuk" "Nepomuk Libraries required by Nepomuk Collection (part of kdelibs)" "http://www.kde.org" FALSE "4.1" "")

    macro_bool_to_01(LIBVISUAL_FOUND HAVE_LIBVISUAL)

    string( TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER )
    if( CMAKE_BUILD_TYPE_TOLOWER MATCHES debug )
        set( DEBUG_BUILD_TYPE ON )
    endif( CMAKE_BUILD_TYPE_TOLOWER MATCHES debug )

    configure_file(config-amarok.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-amarok.h )

    include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

    if( KDE4_BUILD_TESTS AND NOT WIN32 )
        ENABLE_TESTING()
        add_subdirectory( tests )
    endif( KDE4_BUILD_TESTS AND NOT WIN32 )

    add_subdirectory( src )
    add_subdirectory( external )

    # Also display taglib in the feature log
    macro_log_feature( TAGLIB_FOUND "taglib" "Support for Audio metadata." "http://developer.kde.org/~wheeler/taglib.html" FALSE "" "STRONGLY RECOMMENDED" )

    macro_display_feature_log()

    #Do not remove or modify these.  The release script substitutes in for these
    #comments with appropriate doc and translation directories.
    
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

    
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( doc )


else( WITH_PLAYER )

    find_package( Qt4 REQUIRED )
    set( CMAKE_INCLUDE_CURRENT_DIR ON )
    add_definitions(${QT_DEFINITIONS})
    include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

endif( WITH_PLAYER )

if( WITH_UTILITIES )
    set(EXEC_INSTALL_PREFIX  ${CMAKE_INSTALL_PREFIX}       CACHE PATH  "Base directory for executables and libraries" FORCE)
    set(BIN_INSTALL_DIR          "${EXEC_INSTALL_PREFIX}/bin"    CACHE PATH "The subdirectory to the binaries prefix (default prefix/bin)" FORCE)
    add_subdirectory( utilities )
endif( WITH_UTILITIES )

if( WITH_PLAYGROUND )
    add_subdirectory( playground )
    message(STATUS "Included playground subdirectory in configuration")
endif( WITH_PLAYGROUND )

include(CTest)

=== tests/core/collections/CMakeLists.txt ===

include_directories(
  ..
  ${AMAROK_SOURCE_TREE}
  ${AMAROK_SOURCE_TREE}/collection
  ${AMAROK_SOURCE_TREE}/meta
  ${CMAKE_BINARY_DIR}/src
  ${AMAROK_COLLECTION_SUPPORT_DIR}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES}
  ${GOOGLEMOCK_INCLUDE_DIR}
  )

#------------------------ Test CollectionLocation -----------------------------

set( testcollectionlocation_SRCS
    CollectionLocationTest.cpp
    )

kde4_add_unit_test( testcollectionlocation TESTNAME amarok-testcollectionlocation ${testcollectionlocation_SRCS} )

add_dependencies( testcollectionlocation amarokconfig_h )
add_dependencies( testcollectionlocation amarokcore)
add_dependencies( testcollectionlocation amaroklib)

if(APPLE)
    SET_TARGET_PROPERTIES(testcollectionlocation PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

target_link_libraries(testcollectionlocation
                        amarokcore
                        amaroklib
                        ${KDE4_KDECORE_LIBS}
                        ${KDE4_KDEUI_LIBS}
                        ${KDE4_KIO_LIBS}
                        ${QT_QTTEST_LIBRARY}
                        ${GOOGLEMOCK_LIBRARIES})

#------------------------ Test Collection -----------------------------

set( testcollection_SRCS TestCollection.cpp )
kde4_add_unit_test( testcollection ${testcollection_SRCS} )
target_link_libraries( testcollection ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} amarokcore )

#------------------------ Test QueryMaker -----------------------------

set( testquerymaker_SRCS TestQueryMaker.cpp ../../mocks/MockQueryMaker.cpp )
kde4_add_unit_test( testquerymaker ${testquerymaker_SRCS} )
target_link_libraries( testquerymaker ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} amarokcore )

=== tests/core/meta/CMakeLists.txt ===
include_directories( .
  ${AMAROK_TEST_TREE}
  ${CMAKE_BINARY_DIR}/tests
)

#------------------------ Test MetaTrack -----------------------------

set( testmetatrack_SRCS TestMetaTrack.cpp )
kde4_add_unit_test( testmetatrack ${testmetatrack_SRCS} )
target_link_libraries( testmetatrack ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} amarokcore amaroklib )

#------------------------ Test MetaCapability -----------------------------

set( testmetacapability_SRCS TestMetaCapability.cpp )
kde4_add_unit_test( testmetacapability ${testmetacapability_SRCS} )
target_link_libraries( testmetacapability ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} amarokcore )

=== tests/core-impl/playlists/types/file/CMakeLists.txt ===
include_directories( .
  ${AMAROK_TEST_TREE}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_BINARY_DIR}/tests
  ${KDE4_INCLUDE_DIR}
)

#------------------------ Test M3UPlaylist -----------------------------

set( testm3uplaylist_SRCS m3u/TestM3UPlaylist.cpp )
kde4_add_unit_test( testm3uplaylist ${testm3uplaylist_SRCS} )
target_link_libraries( testm3uplaylist ${KDE4_THREADWEAVER_LIBRARIES} ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} amarokcore amaroklib )

#------------------------ Test PLSPlaylist -----------------------------

set( testplsplaylist_SRCS pls/TestPLSPlaylist.cpp )
kde4_add_unit_test( testplsplaylist ${testplsplaylist_SRCS} )
target_link_libraries( testplsplaylist ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} amarokcore amaroklib )

#------------------------ Test XSPFPLAYLIST -----------------------------

set( testxspfplaylist_SRCS xspf/TestXSPFPlaylist.cpp )
kde4_add_unit_test( testxspfplaylist ${testxspfplaylist_SRCS} )
target_link_libraries( testxspfplaylist ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} amarokcore amaroklib )

#------------------------ Test PlaylistFileSupport -----------------------------

set( testplaylistfilesupport_SRCS
     TestPlaylistFileSupport.cpp
     ${AMAROK_SOURCE_TREE}/core-impl/playlists/types/file/PlaylistFileSupport.cpp
     )
kde4_add_unit_test( testplaylistfilesupport ${testplaylistfilesupport_SRCS} )
target_link_libraries( testplaylistfilesupport ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} amarokcore amaroklib )

=== debian/changelog ===
amarok (2.6~beta1+75.g47e75df-1) unstable; urgency=low

  * New upstream development snapshot (very close 2.6 release).
  * Override lintian embedded-library: zlib error. It comes from MySQLe.
  * Drop "upgrading from 1.4" and "upgrading to 2.2" sections from
    README.Debian. They are no longer relevant.
  * Drop libxine1-ffmpeg from amarok Suggests. It is no longer relevant as
    there is no Phonon Xine backend anymore.
  * Update information in debian/not-installed.
  * Lengthen descriptions of amarok-common and amarok-doc packages a bit.
  * Disable LikeBack by default by shipping appropriate amarokrc.

 -- Modestas Vainius <modax@debian.org>  Fri, 29 Jun 2012 02:51:17 +0300

amarok (2.6~beta1-1) experimental; urgency=low

  * New upstream development release (2.5.90).
  * Drop upstream_fix_lyrics_autorefresh_in_some_cases.patch, merged upstream.
  * Adapt debian_find_mysql_fix.diff to upstream changes.
  * Update debian_fix_doc_nl_build.diff patch to fix a new build problem with
    KDE 4.7, require kdelibs5-dev 4:4.7.
  * Update install files.
  * Remove ${perl:Depends} from amarok-doc Depends, not needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 03 Jun 2012 01:17:19 +0300

amarok (2.5.0-3) unstable; urgency=low

  * Depend on libmysql-pic 5.5.23+dfsg so we can drop libssl-dev from
    Build-Depends.
  * Compress all deb packages with xz, not just amarok-dbg.
  * Split off Amarok Handbook into amarok-doc package.
  * Update debian/copyright.
  * Fix unsafe argument assignment in the debian_mysqle_force_defaults_file
    patch. Thanks to Pino Toscano for heads up.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 19:24:16 +0300

amarok (2.5.0-2) unstable; urgency=low

  * Drop mysql-server-5.1 from Build-Depends-Indep. mysql-server-core-5.1 was
    split off long ago (it's in squeeze).
  * Prefer mysql-server-core-5.5 in Build-Depends-Indep. Alternatively depend
    on the mysql-server-core virtual package.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Since the package is compat=9, rebuild againt debhelper 9.20120419 should
    enable hardening flags. (Closes: #653354)
  * Improve debian_find_mysql_fix.diff to work with Debian libmysqld-pic
    5.5.23.
  * Add libssl-dev and libaio-dev [linux-any] to Build-Depends because they are
    needed for libmysqld-pic 5.5.23.
  * Force MySQLe to use our custom defaults file. This makes MySQLe independent
    from system MySQL configuration. (Closes: #672207, #673403)
    Patch debian_mysqle_force_defaults_file.diff
  * Bump debhelper build dependency to >= 9.

 -- Modestas Vainius <modax@debian.org>  Mon, 21 May 2012 20:38:19 +0300

=== debian/control ===
Source: amarok
Section: sound
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
 libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
 kdelibs5-dev (>= 4:4.7), libsoprano-dev (>= 2.1.67),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libnjb-dev, libifp-dev, libmtp-dev (>= 1.0.0), libqjson-dev,
 libglib2.0-dev, libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0),
 libmysqld-pic (>= 5.5.23+dfsg), libwrap0-dev,
 libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
 libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3),
 libavformat-dev (>= 4:0.5), libofa0-dev, libaio-dev [linux-any]
Build-Depends-Indep: mysql-server-core-5.5 | mysql-server-core
Standards-Version: 3.9.3
Homepage: http://amarok.kde.org
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git

Package: amarok
Architecture: any
Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends},
 libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0)
Suggests: amarok-doc (>= ${source:Version}), libqt4-sql-sqlite, libqt4-sql-mysql, libqt4-sql-psql,
 moodbar
Description: easy to use media player based on the KDE Platform
 Amarok is a powerful music player with an intuitive interface. It makes
 playing the music you love and discovering new music easier than ever before
 and it looks good doing it! Amarok is based on the powerful Qt4 / KDE4
 Platform and nicely integrates with KDE desktop.
 .
 Much work has been invested into integrating Amarok 2 with various Web
 services:
   - Ampache
   - Jamendo Service
   - Last.fm
   - Librivox
   - MP3tunes
   - Magnatune
   - OPML Podcast Directory
 .
 Amarok comes with a lot of features including but not limited to:
   - Scripts - enhance your Amarok experience with community developed scripts.
   - Dynamic Playlists - create playlists that automatically update.
   - Context View - customize interface with the Plasma powered Context View.
   - PopUp Dropper - simplify drag&drop actions with revolutionary menu system.
   - Multiple Language Translations
   - Collection Management - organizing your music collection has never been
     easier with Amarok's powerful tagging, renaming, and sorting abilities.
   - Database Importing - import collections from Amarok 1.4 or iTunes.
   - Scriptable Services - integrate other web services into Amarok.

Package: amarok-common
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: amarok (>= ${source:Version})
Description: architecture independent files for Amarok
 This package contains architecture independent files needed for Amarok to run
 properly. Therefore, unless you have 'amarok' package of the same version
 installed, you will hardly find this package useful.
 .
 Amarok is a powerful music player with an intuitive interface.

Package: amarok-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: amarok-common (<= 2.5.0-2)
Breaks: amarok-common (<= 2.5.0-2)
Recommends: amarok (>= ${source:Version})
Description: Amarok documentation (Handbook)
 This package contains Amarok user documentation in various languages. It can be
 opened from the application menu Help -> Amarok Handbook.
 .
 Amarok is a powerful music player with an intuitive interface.

Package: amarok-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: amarok (<< 2.1.80-1~)
Breaks: amarok (<< 2.1.80-1~)
Description: utilities for Amarok media player
 This package contains command line utilities that are typically used by Amarok
 media player but might also be useful on systems without Amarok installed.
 They are designed to be lightweight as they do not depend on KDE libraries.
 .
 Currently the package contains the following utilities:
   - amarokcollectionscanner - scans audio files, collects information from
     file tags and prints it in the structured XML format.
   - amarok_afttagger - a helper program which writes/removes custom tags
     to/from media files required for embedded "Amarok File Tracking".

Package: amarok-dbg
Priority: extra
Section: debug
Architecture: any
Depends: amarok (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Suggests: libqtwebkit4-dbg
Description: debugging symbols for Amarok
 This package provides debugging symbols for all binary packages built from
 amarok source package. It's highly recommended to have this package installed
 before reporting any Amarok crashes to either Amarok developers or Debian
 package maintainers.

## amarok 2.6%7ebeta1%2b75.g47e75df

=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_install:
	dh_install
	# Copy English errmsg.sys from mysql-server-core package
	if [ -d debian/amarok-common ]; then \
	    cp -a /usr/share/mysql/english/errmsg.sys debian/amarok-common/usr/share/kde4/apps/amarok/mysqle/; \
	fi

override_dh_makeshlibs:
	dh_makeshlibs "-Xusr/lib/kde4/*"

override_dh_builddeb:
	dh_builddeb -- -Zxz

%:
	dh $@ --with kde --parallel --dbg-package=amarok-dbg

.PHONY: override_dh_auto_test

## amarok 2.6.0

=== debian/changelog ===
amarok (2:2.6.0-0ubuntu2) quantal; urgency=low

  * Build-dep on libgpod-dev not libgpod-dev-nogtk as it
    no longer depends on gtk LP: #260091

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Aug 2012 11:20:49 +0100

amarok (2:2.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Recommend media-player-info

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Aug 2012 11:08:28 +0100

amarok (2:2.6~rc1-0ubuntu2) quantal; urgency=low

  * remove spectrum analyzer files from amarok.install, already in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 15:15:44 +0100

amarok (2:2.6~rc1-0ubuntu1) quantal; urgency=low

  * New RC release 2.5.96

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Aug 2012 10:36:40 +0100

amarok (2:2.6~beta1-1ubuntu2) quantal; urgency=low

  * Add 0001-port-to-liblastfm1-api.patch from upstream (target 2.7) fixing
    compatibiity with liblastfm1, fairly trivial and simple patch (LP: #1015526)
  * Don't depend on now removed kdemultimedia-dev (is not used anymore anyway)
  * Bump liblastfm build dep to 1.0

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 20 Jun 2012 14:04:18 +0200

amarok (2:2.6~beta1-1ubuntu1) quantal; urgency=low

  * Merge from Debian experimental, remaining changes: (LP: 1008645)
    - Don't build-depend on libavformat-dev and libofa0-dev as libavcodec*
      is not allowed on cd images.
    - Don't build-dep on libqt4-opengl-dev on armel and armhf and install
      file manually in debian/rules
    - build-dep on libmygpo
    - Add epoch "2:" to the version number.
    - More complete not-installed
    - Keep build-dep libmysqld-pic at 5.1.36-2 (new version not yet  in archive)
    - Do not manually compress with xz, we handle this in pkg-kde and explicitly
      doing it prevents global control
  * Do not suggest libxine1-ffmpeg as this should have been in the Phonon
    backend to begin with and phonon-xine is no longer used anyway.
  * amarok-common breaks amarok (<< 2.6~beta1-1ubuntu1~) due to wrongly
    packaged desktop files in a previous release
  * Drop patches applied upstream:
    - kubuntu_Make-OpenGl-a-soft-dependency.diff
    - kubuntu_CMake-Move-occurence-of-OPENGL_INCLUDE_DIR-var.diff
    - kubuntu_kdelibs4.8_context_view.diff
  * Refreshed patch kubuntu_mysql_pic_library_path.diff
  * amarok-doc to Break and Replace all previous amarok-help-* packages
    having one big package and keep the diff small was deemed more reasonable
    on IRC

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 05 Jun 2012 15:43:51 +0200

amarok (2:2.5.0-0ubuntu5) precise; urgency=low

  * Install the spectrum-analyzer context applet.
  * Don't export KUBUNTU_DESKTOP_POT anymore.
  * Move localized handbooks into own packages named amarok-help-$lang.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 12 Feb 2012 13:33:03 +0100

amarok (2:2.5.0-0ubuntu4) precise; urgency=low

  * Add kubuntu_kdelibs4.8_context_view.diff from upstream for
    https://bugs.kde.org/290123 'Broken context view'

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Jan 2012 10:52:46 +0000

amarok (2:2.5.0-0ubuntu3) precise; urgency=low

  * Fix typos in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 14 Jan 2012 15:03:23 +0000

amarok (2:2.5.0-0ubuntu2) precise; urgency=low

  * Add patch kubuntu_Make-OpenGl-a-soft-dependency.diff and
    kubuntu_CMake-Move-occurence-of-OPENGL_INCLUDE_DIR-var.diff
    make OpenGL optional, thanks to Kevin Funk
  * Don't build-dep on libqt4-opengl-dev on armel and armhf and install
    file manually in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2012 18:06:50 +0000

amarok (2:2.5.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Use mysql 5.5 build-dep
  * Add kubuntu_mysql_pic_library_path.diff because mysql_config no longer
    reports mysql_pic library now that mysqlclient has moved

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Dec 2011 17:44:37 +0000

amarok (2:2.4.90-0ubuntu1~ppa2) oneiric; urgency=low

  * Fix build dependency on libmygpo-qt-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Nov 2011 23:18:47 +0000

amarok (2:2.4.90-0ubuntu1~ppa1) oneiric; urgency=low

  * New upstream beta release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Nov 2011 21:01:31 +0000

amarok (2:2.4.3-1ubuntu3) UNRELEASED; urgency=low

  * Fix kubuntu-devel address in maintainer field.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 07 Nov 2011 09:33:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: amarok
 Section: sound
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
  libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
@@ -9,23 +10,25 @@
  kdelibs5-dev (>= 4:4.7), libsoprano-dev (>= 2.1.67),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libnjb-dev, libifp-dev, libmtp-dev (>= 1.0.0), libqjson-dev,
- libglib2.0-dev, libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0),
- libmysqld-pic (>= 5.5.23+dfsg), libwrap0-dev,
- libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
- libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3),
- libavformat-dev (>= 4:0.5), libofa0-dev, libaio-dev [linux-any]
+ libglib2.0-dev, libgpod-dev (>= 0.8.0),
+ libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
+ libqt4-opengl-dev [!armel !armhf], libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
+ libgtk2.0-dev, libqca2-dev, liblastfm-dev (>= 1.0),
+ libmygpo-qt-dev (>= 1.0.5), libaio-dev [linux-any]
 Build-Depends-Indep: mysql-server-core-5.5 | mysql-server-core
 Standards-Version: 3.9.3
 Homepage: http://amarok.kde.org
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/amarok
+XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/amarok.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/amarok.git
 
 Package: amarok
 Architecture: any
 Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends},
  libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
-Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0)
+Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), media-player-infoxs
 Suggests: amarok-doc (>= ${source:Version}), libqt4-sql-sqlite, libqt4-sql-mysql, libqt4-sql-psql,
  moodbar
 Description: easy to use media player based on the KDE Platform
@@ -59,25 +62,45 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: amarok (>= ${source:Version})
+Replaces: amarok (<< 2.6~beta1-1ubuntu1~)
+Breaks: amarok (<< 2.6~beta1-1ubuntu1~)
 Description: architecture independent files for Amarok
  This package contains architecture independent files needed for Amarok to run
  properly. Therefore, unless you have 'amarok' package of the same version
  installed, you will hardly find this package useful.
- .
- Amarok is a powerful music player with an intuitive interface.
 
 Package: amarok-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: amarok-common (<= 2.5.0-2)
-Breaks: amarok-common (<= 2.5.0-2)
+Replaces: amarok-common (<= 2.5.0-2),
+ amarok-help-de (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-es (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-et (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-fr (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-it (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-nl (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-pt (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-pt-br (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-ru (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-sv (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-uk (<< 2.6~beta1-1ubuntu1~) 
+Breaks: amarok-common (<= 2.5.0-2),
+ amarok-help-de (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-es (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-et (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-fr (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-it (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-nl (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-pt (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-pt-br (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-ru (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-sv (<< 2.6~beta1-1ubuntu1~),
+ amarok-help-uk (<< 2.6~beta1-1ubuntu1~)
 Recommends: amarok (>= ${source:Version})
 Description: Amarok documentation (Handbook)
- This package contains Amarok user documentation in various languages. It can be
- opened from the application menu Help -> Amarok Handbook.
- .
- Amarok is a powerful music player with an intuitive interface.
+ This package contains Amarok user documentation. It can be opened from the
+ application menu Help -> Amarok Handbook.
 
 Package: amarok-utils
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,12 @@
 
 override_dh_install:
 	dh_install
+ifeq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
+	dh_install -pamarok --ignore=debian/amarok.install usr/lib/kde4/amarok_context_applet_spectrum_analyzer.so
+	dh_install -pamarok --ignore=debian/amarok.install usr/share/kde4/services/amarok-context-applet-spectrum-analyzer.desktop
+	dh_install -pamarok --ignore=debian/amarok.install usr/lib/kde4/amarok_data_engine_spectrum_analyzer.so
+	dh_install -pamarok --ignore=debian/amarok.install usr/share/kde4/services/amarok-data-engine-spectrum-analyzer.desktop
+endif
 	# Copy English errmsg.sys from mysql-server-core package
 	if [ -d debian/amarok-common ]; then \
 	    cp -a /usr/share/mysql/english/errmsg.sys debian/amarok-common/usr/share/kde4/apps/amarok/mysqle/; \
@@ -18,9 +24,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs "-Xusr/lib/kde4/*"
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 %:
 	dh $@ --with kde --parallel --dbg-package=amarok-dbg

## amarok 2.7.0

=== debian/changelog ===
amarok (2:2.7.0-0ubuntu2) raring; urgency=low

  * Add missing epoch to several breaks/replaces versions

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 17 Feb 2013 01:06:45 +0100

amarok (2:2.7.0-0ubuntu1) raring; urgency=low

  * New upstream release
  * Remove spectrum analyzer file from debian/rules, no longer upstream
  * Add build-dep on libofa0-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:06:21 +0000

amarok (2:2.6.90-0ubuntu3) raring; urgency=low

  * remove spectrum analyzer files from amarok.install, already in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jan 2013 10:46:42 +0000

amarok (2:2.6.90-0ubuntu2) raring; urgency=low

  * Install libamarok_service_lastfm_shared.so, required by
    the last.fm plugin

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 16 Dec 2012 17:00:58 +0000

amarok (2:2.6.90-0ubuntu1) raring; urgency=low

  * New upstream release [LP: #1090689]
    - Drop 0001-port-to-liblastfm1-api.patch
    - Add nepomuk-core-dev, clamz as build-deps
    - Update install files
    - Update not-installed
    - Update watch file

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 15 Dec 2012 15:24:07 +0000

amarok (2:2.6.0-0ubuntu3) raring; urgency=low

  * Fix typo ( media-player-infoxs => media-player-info )

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 14 Nov 2012 15:47:00 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
  libqt4-opengl-dev [!armel !armhf], libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
  libgtk2.0-dev, libqca2-dev, liblastfm-dev (>= 1.0),
- libmygpo-qt-dev (>= 1.0.5), libaio-dev [linux-any]
+ libmygpo-qt-dev (>= 1.0.5), libaio-dev [linux-any],
+ clamz, nepomuk-core-dev, libofa0-dev
 Build-Depends-Indep: mysql-server-core-5.5 | mysql-server-core
 Standards-Version: 3.9.3
 Homepage: http://amarok.kde.org
@@ -28,7 +29,7 @@
 Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends},
  libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
-Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), media-player-infoxs
+Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0), media-player-info
 Suggests: amarok-doc (>= ${source:Version}), libqt4-sql-sqlite, libqt4-sql-mysql, libqt4-sql-psql,
  moodbar
 Description: easy to use media player based on the KDE Platform
@@ -62,8 +63,8 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: amarok (>= ${source:Version})
-Replaces: amarok (<< 2.6~beta1-1ubuntu1~)
-Breaks: amarok (<< 2.6~beta1-1ubuntu1~)
+Replaces: amarok (<< 2:2.6~beta1-1ubuntu1~)
+Breaks: amarok (<< 2:2.6~beta1-1ubuntu1~)
 Description: architecture independent files for Amarok
  This package contains architecture independent files needed for Amarok to run
  properly. Therefore, unless you have 'amarok' package of the same version
@@ -73,30 +74,30 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: amarok-common (<= 2.5.0-2),
- amarok-help-de (<< 2.6~beta1-1ubuntu1~),
- amarok-help-es (<< 2.6~beta1-1ubuntu1~),
- amarok-help-et (<< 2.6~beta1-1ubuntu1~),
- amarok-help-fr (<< 2.6~beta1-1ubuntu1~),
- amarok-help-it (<< 2.6~beta1-1ubuntu1~),
- amarok-help-nl (<< 2.6~beta1-1ubuntu1~),
- amarok-help-pt (<< 2.6~beta1-1ubuntu1~),
- amarok-help-pt-br (<< 2.6~beta1-1ubuntu1~),
- amarok-help-ru (<< 2.6~beta1-1ubuntu1~),
- amarok-help-sv (<< 2.6~beta1-1ubuntu1~),
- amarok-help-uk (<< 2.6~beta1-1ubuntu1~) 
-Breaks: amarok-common (<= 2.5.0-2),
- amarok-help-de (<< 2.6~beta1-1ubuntu1~),
- amarok-help-es (<< 2.6~beta1-1ubuntu1~),
- amarok-help-et (<< 2.6~beta1-1ubuntu1~),
- amarok-help-fr (<< 2.6~beta1-1ubuntu1~),
- amarok-help-it (<< 2.6~beta1-1ubuntu1~),
- amarok-help-nl (<< 2.6~beta1-1ubuntu1~),
- amarok-help-pt (<< 2.6~beta1-1ubuntu1~),
- amarok-help-pt-br (<< 2.6~beta1-1ubuntu1~),
- amarok-help-ru (<< 2.6~beta1-1ubuntu1~),
- amarok-help-sv (<< 2.6~beta1-1ubuntu1~),
- amarok-help-uk (<< 2.6~beta1-1ubuntu1~)
+Replaces: amarok-common (<= 2:2.5.0-2),
+ amarok-help-de (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-es (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-et (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-fr (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-it (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-nl (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-pt (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-pt-br (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-ru (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-sv (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-uk (<< 2:2.6~beta1-1ubuntu1~) 
+Breaks: amarok-common (<= 2:2.5.0-2),
+ amarok-help-de (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-es (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-et (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-fr (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-it (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-nl (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-pt (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-pt-br (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-ru (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-sv (<< 2:2.6~beta1-1ubuntu1~),
+ amarok-help-uk (<< 2:2.6~beta1-1ubuntu1~)
 Recommends: amarok (>= ${source:Version})
 Description: Amarok documentation (Handbook)
  This package contains Amarok user documentation. It can be opened from the

=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_install:
	dh_install
	# Copy English errmsg.sys from mysql-server-core package
	if [ -d debian/amarok-common ]; then \
	    cp -a /usr/share/mysql/english/errmsg.sys debian/amarok-common/usr/share/kde4/apps/amarok/mysqle/; \
	fi

override_dh_makeshlibs:
	dh_makeshlibs "-Xusr/lib/kde4/*"

%:
	dh $@ --with kde --parallel --dbg-package=amarok-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
opts=pasv ftp://ftp.kde.org/pub/kde/unstable/amarok/([0-9.]+)/src/amarok-([0-9.]+).tar.bz2
